{% extends 'index.twig' %}

{% block content %}
{% for news in news %}
    <section class="content">
        <div class="page-title pad group">
            <ul class="meta-single group">
                <li class="category">
                    <a href="{{ news.category.query }}" rel="category tag">
                        {{ news.category.title }}
                    </a>
                </li>
                <li class="comments">
                    <a href="{{ news.category.query }}/{{ news.id }}#comments">
                        <i class="fa fa-comments-o"></i>{{ comments_number }}
                    </a>
                </li>
            </ul>
        </div>
        <div class="pad group">
            <article class="post-2336 post type-post status-publish format-video has-post-thumbnail hentry category-lifestyle post_format-post-format-video">
                <div class="post-inner group">
                    <h1 class="post-title entry-title" itemprop="name">{{ news.title|raw }}</h1>
                        Опубликовано: <time class="published">{{ news.date }}</time><hr>
                    <div class="post-format">
                        <img itemprop="image" src="http://furybrains.hol.es/{{ news.front_img }}" alt="{{ news.title }}">
                    </div>
                    <div class="entry themeform share">
                        <div class="entry-inner" id="full-text">
                            <p itemprop="description">
                                {{ news.description|raw }}
                            </p>
                            {% if news.text is empty %}{% else %}
                            <p style="font-size: 16px">
                                {{ news.text|raw }}
                            </p>
                            {% endif %}
                        </div>
                    </div>
                    {#<div style="float: right;" id="sticky">#}
                        {#11111#}
                    {#</div>#}
                </div>

                <hr>
                <div style="width:100%; margin: auto; text-align: center;">
                    {#GOOGLE+ share#}
                    <a href="https://plus.google.com/share?url=http://furybrains.hol.es/{{ news.category.query }}/{{ news.id }}" onclick="javascript:window.open(this.href,
                    '','menubar=no,toolbar=no,resizable=yes,scrollbars=ye s,height=600,width=600');return false;">
                        <img src="img/icon-google-plus.png" alt="Поделитсья в Google+" width="32px;"/>
                    </a>
                    {#FACEBOOK share#}
                    <a id="share" href="http://www.facebook.com/sharer.php?u=http://furybrains.hol.es/{{ news.category.query }}/{{ news.id }}">
                        <img src="img/facebook-share.png" width="32px" alt="Поделитсья в Facebook"/>
                    </a>
                    <script src="http://swip.codylindley.com/jquery.popupWindow.js"></script>
                    <script type="text/javascript">
                        $('#share').popupWindow({
                            width:550,
                            height:400,
                            centerBrowser:1
                        });
                    </script>
                    {#VK Share#}
                    <script type="text/javascript" src="https://www.vk.com/js/api/share.js?94" charset="windows-1251"></script>
                    <script type="text/javascript">
                        <!--
                        document.write(VK.Share.button(
                            {
                                url: window.location.href,
                                description: "{{ news.description }}"
                            },
                            {
                                type: "custom",
                                text: "<img src=\"https://vk.com/images/share_32.png\" width=\"32\" height=\"32\" alt='Поделиться ВКонтакте' />"
                            }
                            )
                        );
                        -->
                    </script>
                </div>
                {% if user_id != empty %}
                    <form role="form" style="margin: auto; text-align: center; background: white" action="" method="POST" id="commentform" onsubmit="return rateForm()" name="rate" enctype= "multipart/form-data">
                        <button style="margin: auto; text-align: center" class="btn btn-success" type="button" id="rate"  name="rate" value="1">
                            <span class="glyphicon glyphicon-heart"></span>&nbsp;<b id="like" >
                                Голосовать!
                            </b>&nbsp;(<b id="rate_num">{{ news.rate }}</b>)
                        </button>
                    </form>
                {% else %}
                    <div class="alert alert-warning" role="alert" style="font-size: 14px">Чтобы иметь возможность голосовать, пожалуйста, авторизируйтесь!</div>
                {% endif %}
                <hr>

            </article>
            <h4 class="heading">
                <i class="fa fa-hand-o-right"></i>Вам так же понравится ...</h4>
            <ul class="related-posts group">
                {% for recommended_pos_2 in recommended_pos_2 %}
                <li class="related post-hover">
                    <article class="post-2348 post type-post status-publish format-image has-post-thumbnail hentry category-lifestyle post_format-post-format-image">
                        <div class="post-thumbnail">
                            <a href="{{ recommended_pos_2.link }}" target="_blank">
                                <img width="520" src="{{ recommended_pos_2.image }}" class="attachment-thumb-medium size-thumb-medium wp-post-image" alt="{{ recommended_pos_2.title }}" /> </a>

                        <div class="related-inner">
                            <h4 class="post-title entry-title">
                                <a href="{{ recommended_pos_2.link }}" target="_blank" rel="bookmark" style="font-size: 15px">{{ recommended_pos_2.title }}</a></h4>
                        </div>
                            <p class="post-item-date">Источник: <a href="{{ recommended_pos_2.link }}" target="_blank">{{ recommended_pos_2.link }}</a></p>

                        </div>
                    </article>
                </li>
                {% endfor %}
            </ul>
            <section id="comments" class="themeform">
                <ul class="comment-tabs group">
                    <li class="active"><a href="#commentlist-container"><i class="fa fa-comments-o"></i>Комментариев<span>{{ comments_number }}</span></a></li>
                    <li><a href="#pinglist-container"><i class="fa fa-share"></i>Оставить комментарий</a></li>
                </ul>
                <div id="commentlist-container" class="comment-tab">
                    <ol class="commentlist" id="commentlist">
                        {% include 'comments-loadup.twig' %}
                    </ol>
                </div>
                <div id="respond" class="comment-respond">
                    <h3 id="reply-title" class="comment-reply-title">Оставьте свой отзыв <small>
                            <a rel="nofollow" id="cancel-comment-reply-link" href="index.html#respond" style="display:none;">Cancel reply</a></small></h3>
                    {% if user_id != empty %}
                    <form role="form" action="" method="GET" id="commentform" class="comment-form" onsubmit="return validateForm()" name="comment-form">
                        <p class="comment-form-comment">
                            <label for="comment">Комментарий </label>
                            <textarea id="comment" name="comment" cols="45" rows="8" maxlength="65525" aria-required="true"></textarea>
                        </p>
                        <span id="count"></span>
                        <div id="message"></div>
                        <p class="form-submit">
                            <input type="button" class="btn btn-primary btn-md btn-block" id="comment-btn" value="Добавить">
                        </p>
                    </form>
                    {% else %}
                        <div class="alert alert-warning" role="alert" style="font-size: 14px">Чтобы оставить комментарий, пожалуйста, авторизируйтесь!</div>
                    {% endif %}
                </div>
            </section>
        </div>
    </section>

    <script>
        function validateForm() {
            var comment = document.forms["comment-form"]["comment"].value;
            if (comment == null || comment == "") {
                $('#message').html('Поле "Комментарий" не может быть пустым!');
                return false;
            }

        }
        $(document).ready(function(){
            $("#comment-btn").click(function(){
                var comment = document.forms["comment-form"]["comment"].value;
                if(comment.length <= 3){
                    $("#message").text('Текст комментария должен превышать 3 символа');
                }else {
                    $.ajax({
                        url: 'comment-send/{{ news.id }}',
                        type: 'POST',
                        data: {
                            comment: comment
                        },
                        error: function () {
                            console.log("Error in ajax request");
                        },
                        success: function (data) {
                            console.log("Success of ajax request");
                            console.log(data);
                            $("#message").text('Комментарий оставлен');
                            $("#commentlist").html(data);
                            document.forms["comment-form"]["comment"].value = null;
                        }
                    });
                }
            });
        });
        function rateForm() {

        }
        $(document).ready(function(){
            $("#rate").click(function(){
                var rate = document.forms["rate"]["rate"].value;
                $.ajax({
                    url: 'rate/{{ news.id }}',
                    type : 'POST',
                    data: {
                        rate: rate
                    },
                    error: function(){
                        console.log("Error in ajax request");
                    },
                    success: function(data)
                    {
                        console.log("Success of ajax request");
                        console.log(data);
                        $("#rate_num").text(data);
                    }
                });
            });
        });
    </script>

    {% include "partials/left-block.twig" %}
    {% include "partials/right-block.twig" %}

{% endfor %}
{% endblock %}


